!****************************************************************************
!  Global data, parameters, and structures 
!****************************************************************************

module wsq_demoGlobals
use dflogm


  use dfwin 
  use user32 
  use dfwin 







implicit none

!  Parameters

integer*4, parameter, public :: SIZEOFAPPNAME = 100

!  Global data

integer		ghInstance
integer		ghModule
integer		ghwndMain
type (dialog) gdlg
integer		baseBitmap



! Declare an interface block to the routine to be called.
	interface
	   integer function RegisterWSQ()
	   end function
	end interface


	interface
	   integer*4 function CreateBMPFromFile(filename)
	   character filename
	   end function
	end interface

	interface
	   integer function SaveBMPToFile(hBitmap,  filename, filetype)
	   integer*4 hBitmap
	   character filename
       integer*4 filetype
	   end function
	end interface

	interface
	   integer function SetShowFilePropertiesDialog(file_properties_dialog)
	   integer file_properties_dialog
	   end function
	end interface

	interface
	   integer function ShowFileConverter()	   
	   end function
	end interface

	interface
	   integer function CallDll(bitmap, name, test)
	   integer*4 bitmap
	   character name
	   integer*4 test
	   end function
	end interface


    integer hWSQLib  
    pointer (pCreateBMPFromFile,CreateBMPFromFile)
    pointer (pSaveBMPToFile,SaveBMPToFile)
	pointer (pSetShowFilePropertiesDialog,SetShowFilePropertiesDialog)
	pointer (pShowFileConverter,ShowFileConverter)
	pointer (pRegisterWSQ,RegisterWSQ)
	logical status

	integer hWSQOverlayLib
	pointer (pCallDll, CallDll)




end module


